classification
Title: Usage documentation for pysetup
Type: enhancement Stage: resolved
Components: Versions: Python 3.4
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: eric.araujo, georg.brandl, ncoghlan, tarek
Priority: normal Keywords:

Created on 2012-05-28 23:11 by ncoghlan, last changed 2013-02-04 16:15 by eric.araujo. This issue is now closed.

Messages (6)
msg161816 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2012-05-28 23:11
Command line documentation for pysetup must be provided under http://docs.python.org/dev/using/index.html before 3.3 is released.
msg161821 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-05-29 00:11
I agree the doc needs work (I have a patch in progress), but don’t think it should be in “Python Setup and Usage” any more than pydoc or 2to3 or -m unittest, so suggest this be closed in favor of #12779.
msg161830 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2012-05-29 01:45
See my reply on #14939. We need to start getting command line usage information *out* of the standard library reference and documenting it here.
msg163217 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-06-19 20:19
Ping.  This isn't necessary for beta1, but would be nice to have once the final release draws near.
msg164096 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-06-26 20:47
Packaging is out, no more blocking.
msg181342 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2013-02-04 16:15
pysetup is no more.
History
Date User Action Args
2013-02-04 16:15:30eric.araujosetstatus: open -> closed
resolution: wont fix
messages: + msg181342

stage: needs patch -> resolved
2012-06-26 20:47:22georg.brandlsetpriority: deferred blocker -> normal

messages: + msg164096
versions: + Python 3.4
2012-06-19 20:19:19georg.brandlsetnosy: + georg.brandl
messages: + msg163217
2012-05-29 14:08:57eric.araujolinkissue12779 dependencies
2012-05-29 01:45:16ncoghlansetmessages: + msg161830
2012-05-29 00:11:00eric.araujosetmessages: + msg161821
2012-05-28 23:11:17ncoghlancreate